public class ParallelResistor implements Resistor {

    private Resistor res1, res2;

    public ParallelResistor(Resistor res1, Resistor res2) {
        this.res1 = res1;
        this.res2 = res2;
    }

    public double getResistance() {
        return 1.0/(1.0/res1.getResistance() + 1.0/res2.getResistance());
    }

    public int nrOfComponents() {
        return res1.nrOfComponents() + res2.nrOfComponents();
    }
}
