import java.awt.*;
import javax.swing.*;

public class HangManPanel extends JPanel {

    private static final int WIDTH = 600;
    private static final int HEIGHT = 200;

    private HangManModel model;
    private Font bigFont,smallFont;

    public HangManPanel(HangManModel model) {
	this.model = model;
	bigFont = new Font("Monospaced",Font.PLAIN,36);
	smallFont = new Font("Monospaced",Font.BOLD,20);
	setPreferredSize(new Dimension(WIDTH,HEIGHT));
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g);
	g.setColor(Color.black);
	g.setFont(smallFont);
	g.drawString("Gissa det hemliga ordet:",200,80);
	g.setFont(bigFont);
	g.drawString(model.showWord(),200,140);
	paintHangMan(g,model.getErrorCount());
    }

    private void paintHangMan(Graphics g,int err) {
	if (err > 0) g.drawLine(20,50,20,190);
	if (err > 1) g.drawLine(20,50,100,50);
	if (err > 2) g.drawLine(100,50,100,70);
	if (err > 3) g.drawOval(90,70,20,20);
	if (err > 4) g.drawLine(100,90,100,140);
	if (err > 5) g.drawLine(100,100,70,110);
	if (err > 6) g.drawLine(100,100,130,110);
	if (err > 7) g.drawLine(100,140,80,180);
	if (err > 8) {
	    g.drawLine(100,140,120,180);
	    g.setColor(Color.red);
	    g.setFont(bigFont);
	    g.drawString("Beklagar!",200,180);
	}
    }
}
